# $Revision: 1.12 $, $Date: 2002/06/05 03:55:49 $
Summary:	Motif HTML widget
Summary(pl):	Widget do HTML oparty o Motif
Name:		XmHTML
Version:	1.1.7
Release:	2
License:	LGPL
Group:		X11/Libraries
Source0:	http://www.xs4all.nl/~ripley/XmHTML/dist/%{name}-%{version}.tar.gz
Patch0:		%{name}-am.patch
Patch1:		%{name}-macro.patch
URL:		http://www.xs4all.nl/~ripley/XmHTML/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	lesstif-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
XmHTML provides a widget capable of displaying HTML 3.2 conforming
text.

%description -l pl
XmHTML zawiera widget wywietlajcy HTML w wersji 3.2.

%package devel
Summary:	Development package of XmHTML
Summary(pl):	Pliki nagwkowe XmHTML
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	lesstif-devel

%description devel
Headers needed to compile XmHTML programs.

%description devel -l pl
Pliki nagwkowe potrzebne do kompilowania programw korzystajcych z
XmHTML.

%package static
Summary:	Static version of XmHTML library
Summary(pl):	Statyczna biblioteka XmHTML
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of XmHTML library.

%description static -l pl
Statyczna wersja biblioteki XmHTML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
# Argh! automake stuff outdated, imake stuff outdated even more,
# makefiles not outdated but don't support shared libraries :/
# Use automake with some patches/workarounds/etc
(cd lib
mv -f common/*.c .
mv -f Motif/*.c .
)

rm -f missing
libtoolize --copy --force
aclocal
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} \
	-I`pwd`/include/XmHTML -I`pwd`/include/common \
	%{!?debug:-DNDEBUG -Dproduction} -DVERSION=1107"
%configure PNGINC="`pkg-config --cflags libpng12 2>/dev/null`"

cd lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/XmHTML

%{__make} install -C lib DESTDIR=$RPM_BUILD_ROOT

install include/XmHTML/{Balloon,HTML,HTMLStrings,XCC,XmHTML}.h \
	include/common/LZWStream.h \
	$RPM_BUILD_ROOT%{_includedir}/XmHTML

rm -f html/man/man.{map,tmpl}

%clean 
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc APPS BUG-REPORTING CHANGES DEBUGGING FEEDBACK FIXES
%doc README THANKS TODO docs/{QUOTES,README.*,REASONS,progressive.txt}
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc html/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/XmHTML

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: XmHTML.spec,v $
Revision 1.12  2002/06/05 03:55:49  kloczek
- use new %doc,
- add lesstif-devel to Requires list in devel,
- "rm -f missing" on top %build.

Revision 1.11  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/28 09:42:53  qboosh
- updated am patch to work with current auto*, added libpng 1.2.2 support
- release 2

Revision 1.9  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/09/26 09:16:44  qboosh
- adapterized, added BuildRequires: libtool

Revision 1.5  2001/07/18 03:20:05  kloczek
- spec adapterized.

Revision 1.4  2001/04/30 16:05:14  kloczek
- added using %%{rpmcflags} macro.

Revision 1.3  2001/03/19 01:15:32  kloczek
- (my) typo.

Revision 1.2  2001/03/19 01:02:33  kloczek
- use "-DNDEBUG -Dproduction" in CFLAGS depending on %%{debug},
- simplification in %install (use "-C lib" make option istead cd to lib),
- remove LICENSE from %doc (well known license statment is in License field).

Revision 1.1  2001/03/18 00:32:13  qboosh
- spec taken from redhat-contrib, partially rewritten, updated to 1.1.7

* Fri Nov 06 1998 Christopher Seawood <cls@seawood.org>
- Version 1.1.5
